# Partly based on Debian package by Ben Finney <ben+debian@benfinney.id.au>
# https://packages.debian.org/sid/inform6-compiler

# TODO: Package main `inform6` packaged based on https://github.com/DavidGriffith/inform6unix
# and Ben's packaging at https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=805704

%define uname   Inform6
%define oname   inform6

Name:           inform6-compiler
Version:        6.41
Release:        %mkrel 2
Summary:        Inform 6 interactive fiction language — compiler
Group:          Development/Other
License:        Artistic 2.0
URL:            https://inform-fiction.org
Source0:        https://github.com/DavidKinder/Inform6/archive/v%{version}/%{uname}-%{version}.tar.gz
Source1:        Makefile.upstream
Source2:        %{oname}.1

%description
Inform 6 is an object-oriented language for writing interactive fiction,
also known as “text adventures” or “adventure games”.

As an interactive fiction developer, you create Inform 6 source code defining
the story. Then compile from source code to a “story file”. The resulting
story files are highly portable, with interpreters available for many
different platforms.

The Inform 6 compiler can produce a story file in these formats:
 * Z-code, executed by implementations of the Infocom Z-machine.
 * Glulx, a modern platform for interactive fiction.

%prep
%autosetup -p1 -n %{uname}-%{version}
cp %{_sourcedir}/Makefile.upstream Makefile

%build
%set_build_flags
CFLAGS+=' -DLINUX'
CFLAGS+=' -DInclude_Directory=\"%{_datadir}/%{oname}/library\"'
CFLAGS+=' -DModule_Directory=\"%{_datadir}/%{oname}/modules\"'
export CFLAGS

%make_build

%install
install -d %{buildroot}%{_bindir}
install -m755 %{oname} %{buildroot}%{_bindir}
ln -s %{oname} %{buildroot}%{_bindir}/inform

install -d %{buildroot}%{_mandir}/man1
install -m644 %{_sourcedir}/%{oname}.1 %{buildroot}%{_mandir}/man1
ln -s %{oname}.1 %{buildroot}%{_mandir}/man1/inform.1

%files
%doc README.md ReleaseNotes.html
%license licence.txt
%{_bindir}/inform{,6}
%{_mandir}/man1/inform{,6}.1*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 6.41-2.mga10
+ Revision: 2230761
- Mageia 10 Mass Rebuild

* Tue Dec 03 2024 daviddavid <daviddavid> 6.41-1.mga10
+ Revision: 2120768
- new version: 6.41

* Tue Mar 15 2022 umeabot <umeabot> 6.34-2.mga9
+ Revision: 1792917
- Mageia 9 Mass Rebuild

* Mon Oct 19 2020 akien <akien> 6.34-1.mga8
+ Revision: 1637035
- Version 6.34

* Thu Feb 13 2020 umeabot <umeabot> 6.33-3.mga8
+ Revision: 1513617
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 6.33-2.mga7
+ Revision: 1298298
- Mageia 7 Mass Rebuild

* Sun May 22 2016 akien <akien> 6.33-1.mga6
+ Revision: 1017455
- Imported package inform6-compiler
- Initial packaging based off the work of the Debian maintainer, Ben Finney
  o Further packaging will likely be kept in sync as he does a great job :)

